Статьи Галерея Форум Чат Файлы HowTo Ссылки Поиск
Текущее время: 18 окт 2019, 10:28




Начать новую тему Ответить на тему  [ Сообщений: 3 ] 
Автор Сообщение
 Заголовок сообщения: LinuxMint.Установка программ из tar.bz2
СообщениеДобавлено: 24 мар 2011, 07:36 
Заглянувший

У нас с: 13.03.2011
Сообщения: 31
Прогрограмма gnome-commander-1.2.8.9.tar.bz2 (http://ftp.gnome.org/pub/GNOME/sources/ ... ander/1.2/) .Делал так:
1.bzip2 -d gnome-commander-1.2.8.10.tar.bz2
2.tar xfv gnome-commander-1.2.8.10.tar
3.cd commander-1.2.8.10
4.ls-получипось dima@dima-home ~/gnome-commander-1.2.8.10 $ ls
aclocal.m4 configure.in intltool-update.in plugins
AUTHORS COPYING libgcmd po
autogen.sh data ltmain.sh py-compile
BUGS depcomp m4 README
ChangeLog description-pak Makefile.am README.commits
ChangeLog-20090629 doc Makefile.in README.in
config.guess gnome-doc-utils.make missing src
config.h.in INSTALL mkinstalldirs tests
config.log install-sh NEWS TODO
config.sub intltool-extract.in omf.make xmldocs.make
configure intltool-merge.in pixmaps ylwrap
5../configure-идёт длинный список загрузки.
6. make install-получилось make: *** Нет правила для сборки цели `install'. Останов.
Хотел попробовать ./configure
make
sudo make install
но после ввода make получилось make: *** Не заданы цели и не найден make-файл. Останов
В чём ошибка?


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
СообщениеДобавлено: 24 мар 2011, 11:05 
Неотъемлемая часть форума

У нас с: 25.10.2006
Сообщения: 1055
Откуда: minsk
Почитайте файлик INSTALL для начала. И подозреваю, что ./configure вывалился с ошибкой.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
СообщениеДобавлено: 27 мар 2011, 03:54 
Заглянувший

У нас с: 13.03.2011
Сообщения: 31
Отказался от этого метода установки.Я нашел на одном из сайтов коментарии по поводу установки програм из исходника:
Комментарии ( 2 )

#1 by RedSnow on 19.10.2010 - 21:23

Вообще это неправильный подход – ставить из исходников в пакетном дистрибутиве. Потом будет не понять что поставлено, а что нет.
Самый лучший выход – собрать из исходников пакет и установить уже его, при этом он «официально» зарегистрируется в системе и его можно будет безболезненно удалить.
Сборка из исходников – это Arch Linux, Gentoo, фряха, ну и шлака возможно
Ответить

#2 by sidelnikov on 19.10.2010 - 23:08

Если честно, острая необходимость установки из исходников возникла только при установке пропатченного vsftpd (оригинальный не поддерживал перекодировку налету). Где находится один пакет я запомнил и необходимости в прочих махинациях не возникло.
А вообще, согласен, собрать пакет правильнее.
Linux это не Windows.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 3 ] 


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
[ All resources are available under GNU GPL ] [ Support ] [ Hosted by DataHata | MyCloud.by ] [ Powered by phpBB® Forum Software © phpBB Group ]

LVEE Winter LVEE Rambler's Top100